## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global module_name pgactivity

Name:           pg_activity
Version:        3.5.0
Release:        %autorelease
Summary:        Command line tool for PostgreSQL server activity monitoring

License:        PostgreSQL
URL:            https://github.com/dalibo/pg_activity/
Source0:        https://github.com/dalibo/pg_activity/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# for check
BuildRequires:  glibc-langpack-fr
BuildRequires:  glibc-langpack-zh
BuildRequires:  libpq-devel
BuildRequires:  postgresql-server
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-postgresql)
BuildRequires:  python3dist(psycopg)

Requires:       python3dist(psycopg)

%description
Top like application for PostgreSQL server activity monitoring

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires -r -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module_name}

install -Dpm 0644 docs/man/pg_activity.1 %{buildroot}%{_mandir}/man1/pg_activity.1

%check
PY_IGNORE_IMPORTMISMATCH=1 %pytest

%files -n %{name} -f %{pyproject_files}
%license LICENSE.txt
%doc AUTHORS.md README.md
%{_bindir}/pg_activity
%{_mandir}/man1/%{name}*

%changelog
## START: Generated by rpmautospec
* Sat Mar 02 2024 Packit <hello@packit.dev> - 3.5.0-1
- [packit] 3.5.0 upstream release
- Resolves rhbz#2267397

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Python Maint <python-maint@redhat.com> - 3.4.2-2
- Rebuilt for Python 3.12

* Thu Jun 01 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.4.2-1
- Update to 3.4.2 - Closes rhbz#2127483

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 2.3.1-2
- Rebuilt for Python 3.11

* Mon May 02 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.3.1-1
- Update to 2.3.1

* Wed Mar 02 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.3.0-1
- Update to 2.3.0 - Closes rhbz#2059938

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 02 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.2.1-1
- Version update to 2.2.1
- Adapt to pyproject-rpm-macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.1.5-2
- Rebuilt for Python 3.10

* Mon Apr 19 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.1.5-1
- Version update to 2.1.5

* Sat Apr 03 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.1.4-1
- Version update to 2.1.4

* Wed Mar 17 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.1.3-1
- Version update to 2.1.3

* Fri Mar 12 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.1.2-1
- Version update to 2.1.2
- Fix #1937228 FTBFS with Python-3.10

* Thu Mar 11 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.1.1-1
- Version update to 2.1.1

* Mon Mar 08 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.1.0-1
- Version update to 2.1.0
- Add check section

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.6.0-2
- Rebuilt for Python 3.9

* Sun May 10 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.6.0-1
- Initial package.
- fix autosetup usage and license

## END: Generated by rpmautospec
